Get a service request by ID
https://api.propexo.com/v1/service-requests/:service_request_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the service request
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getWorkOrders |
410088The external ID of the property from the integration vendor
| Method |
|---|
| getWorkOrders |
481920The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE
nullThe external ID of the unit from the integration vendor
| Method |
|---|
| getWorkOrders |
902114The external ID of the sub task from the integration vendor
This field will always be null for PROPERTYWARE
nullWhether or not the tenant has granted permission to enter the unit associated with the service request
This field will always be null for PROPERTYWARE
nullNotes regarding access to the unit associated with the service request
This field will always be null for PROPERTYWARE
nullThe building name associated with the service request
This field will always be null for PROPERTYWARE
nullClosing notes associated with the service request
This field will always be null for PROPERTYWARE
nullThe date the service request was completed
| Method |
|---|
| getWorkOrders |
2025-03-06T00:00:00.000ZThe date the service request was created
| Method |
|---|
| getWorkOrders |
2025-03-01T00:00:00.000ZThe due date associated with the service request
| Method |
|---|
| getWorkOrders |
2025-03-08T00:00:00.000ZThe date the service request is scheduled
| Method |
|---|
| getWorkOrders |
2025-03-05T00:00:00.000ZDEPRECATED: Please use 'history' for reading notes regarding the service request
This field will always be null for PROPERTYWARE
nullThe category of service request
| Method |
|---|
| getWorkOrders |
PlumbingA description of the service request
| Method |
|---|
| getWorkOrders |
Kitchen faucet is leakingDetails about the service request
This field will always be null for PROPERTYWARE
nullThe priority level associated with the service request
This field will always be null for PROPERTYWARE
nullThe raw status associated with the service request
| Method |
|---|
| getWorkOrders |
OpenVendor/technician notes associated with the service request
This field will always be null for PROPERTYWARE
nullThe unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.
This field will always be null for PROPERTYWARE
nullThe order number of the service request
| Method |
|---|
| getWorkOrders |
41The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Method |
|---|
| getWorkOrders |
cm0unitx00008pw0za63zbjzpThe Propexo unique identifier for the employee
This field will always be null for PROPERTYWARE
nullvendors object[]required
List of vendor IDs associated with the service request
This field is not currently hydrated for PROPERTYWARE
This field is not currently hydrated for PROPERTYWARE
history object[]required
History of notes and/or updates related to the service request
The Propexo unique identifier for the service request history
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getWorkOrders |
410089The date the record first entered the integration vendor
| Method |
|---|
| getWorkOrders |
2025-03-02T00:00:00.000ZNotes describing the service request history
| Method |
|---|
| getWorkOrders |
Tenant reported a leaking faucetThe name of the person or user that created the service request history
This field will always be null for PROPERTYWARE
nullThe raw status from the service request history
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the service request
| Method |
|---|
| getWorkOrders |
cm0sreqx00008pw0za63zbjzpemployees object[]required
This field is not currently hydrated for PROPERTYWARE
The Propexo unique identifier for the employee
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
The name associated with the employee
This field is not currently hydrated for PROPERTYWARE
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/service-requests/:service_request_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "410088",
"x_property_id": "481920",
"x_location_id": null,
"x_unit_id": "902114",
"x_sub_task_id": null,
"access_is_authorized": null,
"access_notes": null,
"building": null,
"completion_notes": null,
"date_completed": "2025-03-06T00:00:00.000Z",
"date_created": "2025-03-01T00:00:00.000Z",
"date_due": "2025-03-08T00:00:00.000Z",
"date_scheduled": "2025-03-05T00:00:00.000Z",
"service_category": "Plumbing",
"service_description": "Kitchen faucet is leaking",
"service_details": null,
"service_priority": null,
"status_raw": "Open",
"vendor_notes": null,
"unit_number": null,
"order_number": "41",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0unitx00008pw0za63zbjzp",
"employee_id": null,
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "410089",
"x_created_at": "2025-03-02T00:00:00.000Z",
"notes": "Tenant reported a leaking faucet",
"creator_name": null,
"status_raw": null,
"service_request_id": "cm0sreqx00008pw0za63zbjzp"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"name": "string"
}
]
}
}